> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/cmp/developer-resources/api/credential-management-v1-apis-calm/network-tokens-v1/network-tokens-events.md).

# Network Tokens Events

#### Network Tokens Events

After a Network Token has been enrolled, there are a few key events that may occur. These fall into two broad categories:

* Lifecycle Events: These represent billable actions that typically result in a change to the card metadata or indicate successful provisioning.
* Status Updates: These reflect changes to the token's status (e.g., suspended or deleted) and are not billable. You may receive these events via our Webhook integration or view them in the Usage Reports section of your organization's Dashboard. Below is an explanation of each:

<table><thead><tr><th width="134.173583984375">Network Token Status</th><th width="134.40191650390625">VGS Network Token State</th><th width="256.7022705078125">VGS Reason Code</th><th width="206.390869140625">Description</th><th width="208.11090087890625">Classification Type</th></tr></thead><tbody><tr><td>Updated</td><td>updated</td><td><code>network_token.updated</code></td><td>The network has updated the card metadata</td><td>Lifecycle Event</td></tr><tr><td>Activated</td><td>activated</td><td><code>network_token.activated</code></td><td>A network token has been activated following a suspension.</td><td>Status Update</td></tr><tr><td>Suspended</td><td>suspended</td><td><code>network_token.suspended</code></td><td>A network token has been suspended by the issuing card network (Mastercard, Visa, etc).</td><td>Status Update</td></tr><tr><td>Deleted</td><td>deleted</td><td><code>network_token.deleted</code></td><td>A network token has been deleted via the API, or a Delete was triggered from the issuing bank</td><td>Status Update</td></tr></tbody></table>

#### Network Tokens Provisioning Errors

| Network    | Status/Error Code                           | Description                                                                                                                                            |
| ---------- | ------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Visa       | 400 - InvalidParameter                      | These declines means that Visa declined it before sending to issuer because the PAN information is invalid.                                            |
| Visa       | 400 - card\_enrollment\_failed              | Invalid payment instrument or data associated with the payment instrument; Invalid input to pan/expiry date.                                           |
| Visa       | 403- card\_not\_allowed                     | Card cannot be used for tokenization at this moment. Please try again later. Something is wrong with the PAN itself. The PAN was expired for instance. |
| Visa       | 403 - declined                              | This card is not eligible for tokenization at this moment with the Network; Retry at a later time.                                                     |
| Visa       | 409 - declined                              | No further operations are allowed. Contact bank                                                                                                        |
| Visa       | 500 -Service Unavailable                    | Downstream service unavailable; retry later.                                                                                                           |
| Visa       | 503 -notReady                               | The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.                                      |
| Mastercard | <p>400 -</p><p>card\_enrollment\_failed</p> | Invalid payment instrument or data associated with the payment instrument; Invalid input to pan/expiry                                                 |
| Mastercard | 403 -rejected                               | This card is not eligible for tokenization at this moment with the Network; Retry later.                                                               |
| Mastercard | 503 -Service Unavailable                    | Downstream service unavailable; retry later                                                                                                            |
| Mastercard | 503 -Service Unavailable                    | Downstream service unavailable; retry later                                                                                                            |

#### Network Tokens Crypto Fetch Network Errors

| Network    | Status/Error Code      | Description                                                                                                                                  |
| ---------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| Visa       | 403 - declined         | This card is not eligible for tokenization at this moment with the Network; Retry at a later time.                                           |
| Visa       | 409 - declined         | No further operations are allowed. Contact bank                                                                                              |
| Visa       | 400 - rejected         | Invalid payment instrument or data associated with the payment instrument; Invalid input to pan/expiry date.                                 |
| Mastercard | 400 invalid\_argument  | Incorrect/missing fields or values.                                                                                                          |
| Mastercard | 401 - cannot\_be\_null | The request contains card type, but the card type does not correspond with the card number (e.g. card type = Visa; card number = MasterCard) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verygoodsecurity.com/cmp/developer-resources/api/credential-management-v1-apis-calm/network-tokens-v1/network-tokens-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
